⚡ REST API · v1
🔑
⏱️
🛡️
curl https://seen365.uz/api/v1/balance \
-H "X-API-Key: sk_live_XXXXXXXXXXXXXXXXXXXXXXXXXXXX"
•
•
•
GET
/api/v1/countries{
"data": [
{ "country": "US", "name": "United States", "price": 12500, "currency": "UZS", "in_stock": 340 },
{ "country": "CO", "name": "Colombia", "price": 3558, "currency": "UZS", "in_stock": 821 }
]
}
GET
/api/v1/balance{ "balance": 1250000, "currency": "UZS" }
POST
/api/v1/orders{ "country": "US" }
{
"id": 4821,
"country": "US",
"phone_number": "+1585XXXXXXX",
"price": 12500,
"currency": "UZS",
"status": "waiting_code",
"created_at": "2026-09-12T09:14:02Z"
}
GET
/api/v1/ordersGET
/api/v1/orders/{id}{
"id": 4821, "country": "US", "phone_number": "+1585XXXXXXX",
"price": 12500, "currency": "UZS",
"status": "code_received",
"code": "48291", "twofa_password": null,
"created_at": "2026-09-12T09:14:02Z"
}
POST
/api/v1/orders/{id}/cancel{
"id": 4821, "country": "US", "phone_number": "+1585XXXXXXX",
"price": 12500, "currency": "UZS",
"status": "cancelled",
"created_at": "2026-09-12T09:14:02Z",
"refunded_amount": 12500
}
GET
/api/v1/stars/pricing{ "available": true, "min": 50, "max": 1000000, "price_per_unit": 203, "currency": "UZS" }
POST
/api/v1/stars/purchase{ "recipient": "username", "quantity": 50 }
{
"id": 12,
"kind": "stars",
"recipient": "username",
"quantity": 50,
"price": 10164,
"currency": "UZS",
"status": "completed",
"transaction_hash": "te6cckEB...",
"created_at": "2026-09-15T10:00:00Z"
}
GET
/api/v1/stars/ordersGET
/api/v1/stars/orders/{id}GET
/api/v1/premium/pricing{ "available": true, "prices": { "3": 163350, "6": 284050, "12": 495550 }, "currency": "UZS" }
POST
/api/v1/premium/purchase{ "recipient": "username", "months": 3 }
{
"id": 13,
"kind": "premium",
"recipient": "username",
"quantity": 3,
"price": 163350,
"currency": "UZS",
"status": "completed",
"transaction_hash": "te6cckEB...",
"created_at": "2026-09-15T10:00:00Z"
}
GET
/api/v1/premium/ordersGET
/api/v1/premium/orders/{id}{ "error": { "code": "insufficient_balance", "message": "Balans yetarli emas." } }
| 401 | missing_api_key / invalid_api_key | |
| 402 | insufficient_balance | |
| 403 | unsupported_client | |
| 404 | country_unavailable / order_not_found | |
| 409 | account_unavailable / cancel_not_allowed | |
| 429 | rate_limited | |
| 500 | internal_error | |
| 502 | provider_error / purchase_failed / service_unavailable | |
| 503 | service_unavailable |
—